Loading...
Searching...
No Matches
NodeAccessor< NanoGrid< BuildT > > Class Template Reference

Template specialization for nanovdb::Grid which is special since its NodeManage uses a handle in order to support node access on the GPU! More...

`#include <nanovdb/util/CreateNanoGrid.h>`

## Public Types

using | BuildType = BuildT
using | BufferType = HostBuffer
using | GridType = NanoGrid< BuildT >
using | ValueType = typename GridType::ValueType
using | TreeType = typename GridType::TreeType
using | RootType = typename TreeType::RootType
template<int LEVEL>
using | NodeType = typename NodeTrait< TreeType, LEVEL >::type

## Public Member Functions

| NodeAccessor (const GridType &grid)
const GridType & | grid () const
const TreeType & | tree () const
const RootType & | root () const
uint64_t | nodeCount (int level) const
template<int LEVEL>
const NodeType< LEVEL > & | node (uint32_t i) const
std::string | getName () const
bool | hasLongGridName () const
const nanovdb::Map & | map () const
GridClass | gridClass () const

## Static Public Attributes

static constexpr bool | IS_OPENVDB = false
static constexpr bool | IS_NANOVDB = true

## Detailed Description

template<typename BuildT>
class nanovdb::NodeAccessor< NanoGrid< BuildT > >

Template specialization for nanovdb::Grid which is special since its NodeManage uses a handle in order to support node access on the GPU!

## Member Typedef Documentation

## BufferType

template<typename BuildT >

using BufferType = HostBuffer

## BuildType

template<typename BuildT >

using BuildType = BuildT

## GridType

template<typename BuildT >

using GridType = NanoGrid<BuildT>

## NodeType

template<typename BuildT >
template<int LEVEL>

using NodeType = typename NodeTrait<TreeType, LEVEL>::type

## RootType

template<typename BuildT >

using RootType = typename TreeType::RootType

## TreeType

template<typename BuildT >

using TreeType = typename GridType::TreeType

## ValueType

template<typename BuildT >

using ValueType = typename GridType::ValueType

## Constructor & Destructor Documentation

## NodeAccessor()

template<typename BuildT >

NodeAccessor | ( | const GridType & | grid | ) |

inline

## Member Function Documentation

## getName()

template<typename BuildT >

std::string getName | ( |  | ) | const

inline

## grid()

template<typename BuildT >

const GridType & grid | ( |  | ) | const

inline

## gridClass()

template<typename BuildT >

GridClass gridClass | ( |  | ) | const

inline

## hasLongGridName()

template<typename BuildT >

bool hasLongGridName | ( |  | ) | const

inline

## map()

template<typename BuildT >

const nanovdb::Map & map | ( |  | ) | const

inline

## node()

template<typename BuildT >
template<int LEVEL>

const NodeType< LEVEL > & node | ( | uint32_t | i | ) | const

inline

## nodeCount()

template<typename BuildT >

uint64_t nodeCount | ( | int | level | ) | const

inline

## root()

template<typename BuildT >

const RootType & root | ( |  | ) | const

inline

## tree()

template<typename BuildT >

const TreeType & tree | ( |  | ) | const

inline

## Member Data Documentation

## IS_NANOVDB

template<typename BuildT >

constexpr bool IS_NANOVDB = true

staticconstexpr

## IS_OPENVDB

template<typename BuildT >

constexpr bool IS_OPENVDB = false

staticconstexpr